'use strict';
/* jshint node:true, esversion:6, latedef:nofunc */

var _            = require('lodash'),
    EventEmitter = require('events').EventEmitter,
    Steam        = require('node-steam'),
    SteamID      = require('steamid');

var EMsg   = Steam.EMsg,
    Schema = Steam.Internal;

function SteamCSGO(client) {
  this._client = client;
  this._client.on('message', function(header, body, callback) {
    if (header.msg in handlers)
      handlers[header.msg].call(this, body, callback);
  }.bind(this));
}

require('util').inherits(SteamCSGO, EventEmitter);

// Methods

// Handlers

var handlers = {};

module.exports = SteamCSGO;
